{ pkgs ? import <nixpkgs> {} }:

pkgs.stdenv.mkDerivation {
  name = "env";
  buildInputs = [
    pkgs.usb_modeswitch
    pkgs.python38
    pkgs.python38Packages.pyserial
    (pkgs.python38Packages.buildPythonPackage rec {
      pname = "python-messaging";
      version = "0.5.13";
      src = pkgs.python38Packages.fetchPypi {
        inherit pname version;
        sha256 = "183rxrmf8rrm5hw20b4kvzaq18254pmawjbai86nw557gm2x33y0";
      };
      doCheck = false;
    })
  ];
}

